# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.76.0"
name = "cedar-policy-cli"
version = "3.2.5"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI interface for the Cedar Policy language."
homepage = "https://cedarpolicy.com"
readme = "README.md"
keywords = [
    "cedar",
    "authorization",
    "policy",
    "security",
]
categories = [
    "compilers",
    "config",
]
license = "Apache-2.0"
repository = "https://github.com/cedar-policy/cedar"

[features]
default = []
experimental = ["partial-validate"]
partial-validate = ["cedar-policy/partial-validate"]

[lib]
name = "cedar_policy_cli"
path = "src/lib.rs"

[[bin]]
name = "cedar"
path = "src/main.rs"

[[test]]
name = "sample"
path = "tests/sample.rs"

[dependencies.cedar-policy]
version = "=3.2.5"

[dependencies.cedar-policy-formatter]
version = "=3.2.5"

[dependencies.clap]
version = "4"
features = [
    "derive",
    "env",
]

[dependencies.miette]
version = "7.1.0"
features = ["fancy"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "1.0"

[dev-dependencies.assert_cmd]
version = "2.0"

[dev-dependencies.glob]
version = "0.3.1"

[dev-dependencies.predicates]
version = "3.1.0"

[dev-dependencies.tempfile]
version = "3"
